org.h2gis.functions.io.gpx.model

## Class GPXTablesFactory

- java.lang.Object
- - org.h2gis.functions.io.gpx.model.GPXTablesFactory

    public class GPXTablesFactory
    extends Object

A factory to create the tables that are used to import GPX data

Author:
  Erwan Bocher

### Field Summary

Fields
`static String` `ROUTE`
`static String` `ROUTEPOINT`
`static String` `TRACK`
`static String` `TRACKPOINT`
`static String` `TRACKSEGMENT`
`static String` `WAYPOINT`

### Method Summary

All Methods Static Methods Concrete Methods
`static PreparedStatement` `createRoutePointsTable(Connection connection, String routePointsTable, boolean isH2)` Createthe route points table to store the route waypoints
`static PreparedStatement` `createRouteTable(Connection connection, String routeTableName, boolean isH2)` Create the route table that will be used to import GPX data
`static PreparedStatement` `createTrackPointsTable(Connection connection, String trackPointsTableName, boolean isH2)` Create the track points table to store the track waypoints
`static PreparedStatement` `createTrackSegmentsTable(Connection connection, String trackSegementsTableName, boolean isH2)` Create the track segments table to store the segments of a track
`static PreparedStatement` `createTrackTable(Connection connection, String trackTableName, boolean isH2)` Creat the track table
`static PreparedStatement` `createWayPointsTable(Connection connection, String wayPointsTableName, boolean isH2)` Create the waypoints table that will be used to import GPX data
`static void` `dropOSMTables(Connection connection, boolean isH2, String tablePrefix)` Drop the existing GPX tables used to store the imported OSM GPX

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WAYPOINT

    public static final String WAYPOINT

See Also:
  Constant Field Values

#### ROUTE

    public static final String ROUTE

See Also:
  Constant Field Values

#### ROUTEPOINT

    public static final String ROUTEPOINT

See Also:
  Constant Field Values

#### TRACK

    public static final String TRACK

See Also:
  Constant Field Values

#### TRACKSEGMENT

    public static final String TRACKSEGMENT

See Also:
  Constant Field Values

#### TRACKPOINT

    public static final String TRACKPOINT

See Also:
  Constant Field Values

### Method Detail

#### createWayPointsTable

    public static PreparedStatement createWayPointsTable(Connection connection,
                                                         String wayPointsTableName,
                                                         boolean isH2)
                                                  throws SQLException

Create the waypoints table that will be used to import GPX data

Parameters:
  `connection` -
  `wayPointsTableName` -
  `isH2` - set true if it's an H2 database
Returns:
Throws:
  `SQLException`

#### createRouteTable

    public static PreparedStatement createRouteTable(Connection connection,
                                                     String routeTableName,
                                                     boolean isH2)
                                              throws SQLException

Create the route table that will be used to import GPX data

Parameters:
  `connection` -
  `routeTableName` -
  `isH2` - set true if it's an H2 database
Returns:
Throws:
  `SQLException`

#### createRoutePointsTable

    public static PreparedStatement createRoutePointsTable(Connection connection,
                                                           String routePointsTable,
                                                           boolean isH2)
                                                    throws SQLException

Createthe route points table to store the route waypoints

Parameters:
  `connection` -
  `routePointsTable` -
  `isH2` - set true if it's an H2 database
Returns:
Throws:
  `SQLException`

#### createTrackTable

    public static PreparedStatement createTrackTable(Connection connection,
                                                     String trackTableName,
                                                     boolean isH2)
                                              throws SQLException

Creat the track table

Parameters:
  `connection` -
  `trackTableName` -
  `isH2` - set true if it's an H2 database
Returns:
Throws:
  `SQLException`

#### createTrackSegmentsTable

    public static PreparedStatement createTrackSegmentsTable(Connection connection,
                                                             String trackSegementsTableName,
                                                             boolean isH2)
                                                      throws SQLException

Create the track segments table to store the segments of a track

Parameters:
  `connection` -
  `trackSegementsTableName` -
  `isH2` - set true if it's an H2 database
Returns:
Throws:
  `SQLException`

#### createTrackPointsTable

    public static PreparedStatement createTrackPointsTable(Connection connection,
                                                           String trackPointsTableName,
                                                           boolean isH2)
                                                    throws SQLException

Create the track points table to store the track waypoints

Parameters:
  `connection` -
  `trackPointsTableName` -
  `isH2` - set true if it's an H2 database
Returns:
Throws:
  `SQLException`

#### dropOSMTables

    public static void dropOSMTables(Connection connection,
                                     boolean isH2,
                                     String tablePrefix)
                              throws SQLException

Drop the existing GPX tables used to store the imported OSM GPX

Parameters:
  `connection` -
  `isH2` -
  `tablePrefix` -
Throws:
  `SQLException`